package steamServer

import "github.com/google/uuid"

type Server struct {
    ID          uuid.UUID   `db:"id"`
    AppID       int         `json:"AppID"`
    Name        string      `json:"Name"`
    Map         string      `json:"Map"`
    Players     int         `json:"Players"`
    MaxPlayers  int         `json:"MaxPlayers"`
}

type ServerStore interface {
    Server(id uuid.UUID) (Server, error)
    CreateServer(ser *Server) err
}

type Store interface {
    ServerStore
}
